# Podpisy 

Narzędzie CLI które przekształca podpisy pod apelem w formacie CSV do formatu TeX (potrzebnego do generowania PDF z podpisami), lub do nowego CSV.

## Instalacja
```
gem install podpisy --no-ri --no-rdoc

```
## Stworzenie katalogu z podpisami
```
podpisy -g moja_kampania
```
Stworzy katalog z plikami potrzebnymi do wygenerowania PDF. 
Zwiera:
- podpisy.cls – plik klasy dokumentu LaTeX
- podpisy.tex – zawiera ramy PDFa z podpisami. Edytuj go, aby zmienić tytuł, treść apelu, loga, itp. Na końcu załącza drugi plik tex, w którym są już same imiona osób (ten plik generujesz za pomocą opcji `-t`).
- loga
- `instaluj_pakiety.sh` – instaluje środowisko XeLateX

## Format wejściowy

Plik CSV powinien mieć następujące kolumny:
- `first_name`, `last_name` – imię i nazwisko
- lub `name` – imię i nazwsiko połączone 
- `postcode` – kod pocztowy (na podstawie którego może zostać wyszukany obszar)

## Format wyjściowy

### TeX

Aby wygenerować podpisyw w tex:
```sh
$ podpisy -at petition.tex pobrane_podpisy.csv
```

Podanie opcji `-a` zastąpi kody pocztowe nazwami miejscowości (zwykle tego używamy)

### CSV

Można wygenerować także plik CSV. Jedyny use case w tej chwili to opcja `-a`, która zamieni wartości w kolumnie `postcode` na nazwę miejscowości.
