# coding: utf-8

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "podpisy/version"

Gem::Specification.new do |spec|
  spec.name          = "podpisy"
  spec.version       = Podpisy::VERSION
  spec.authors       = ["Marcin Koziej"]
  spec.email         = ["marcin@akcjademokracja.pl"]

  spec.summary       = %q{Command for generating and manipulating signatures}
  spec.description   = %q{This command is a usefull tool for manipulating CSV files with signatures and generating petition deliveries in PDF}
  spec.homepage      = "https://gitlab.com/akcjademokracja/podpisy"
  spec.license       = "MIT"


  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'clamp', '~> 1.3', '>= 1.3.0'
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
